KSWITCH(1)

NAME
kswitch - switch primary credential cache

SYNOPSIS
kswitch {-c cachename | -p principal}

DESCRIPTION
kswitch makes the specified credential cache the primary cache for the collection, if a cache collection is available.

OPTIONS

-c  cachename directly specifies the credential cache to be made primary.

-p  principal causes the cache collection to be searched for a cache containing credentials for principal. If one is found, that collection is made primary.

ENVIRONMENT
kswitch uses the following environment variables:

KRB5CCNAME
    Location of the default Kerberos 5 credentials (ticket) cache, in the form type:residual. If no type prefix is present, the FILE type is assumed. The type of the default cache may determine the availability of a cache collection; for instance, a default cache of type DIR causes caches within the directory to be present in the collection.

FILES

/tmp/krb5cc_[uid]
    default location of Kerberos 5 credentials cache ([uid] is the decimal UID of the user).

SEE ALSO
kinit(1), kdestroy(1), klist(1), kerberos(1)